Loading...
Searching...
No Matches
juce::AudioProcessorGraph::Node Class Reference

## Detailed Description

Represents one of the nodes, or processors, in an AudioProcessorGraph.

To create a node, call AudioProcessorGraph::addNode().

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessorGraph.h

Inheritance diagram for juce::AudioProcessorGraph::Node:

## Public Types

using | Ptr = ReferenceCountedObjectPtr<Node>
| A convenient typedef for referring to a pointer to a node object.

## Public Member Functions

AudioProcessor * | getProcessor () const noexcept
| The actual processor object that this node represents.
bool | isBypassed () const noexcept
| Returns if the node is bypassed or not.
void | setBypassed (bool shouldBeBypassed) noexcept
| Tell this node to bypass processing.
bool | userRequestedBypass () const
| Node (NodeID n, std::unique_ptr< AudioProcessor > p) noexcept
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Public Attributes

const NodeID | nodeID
| The ID number assigned to this node.
NamedValueSet | properties
| A set of user-definable properties that are associated with this node.

## Additional Inherited Members

Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Member Typedef Documentation

## Ptr

using juce::AudioProcessorGraph::Node::Ptr = ReferenceCountedObjectPtr<Node>

A convenient typedef for referring to a pointer to a node object.

## Constructors and Destructors

## Node()

juce::AudioProcessorGraph::Node::Node | ( | NodeID | n,
|  | std::unique_ptr< AudioProcessor > | p )

inline noexcept

References jassert, and nodeID.

## Member Functions

## getProcessor()

AudioProcessor * juce::AudioProcessorGraph::Node::getProcessor | ( |  | ) | const

inline noexcept

The actual processor object that this node represents.

References juce::AudioProcessor::AudioProcessor().

## isBypassed()

bool juce::AudioProcessorGraph::Node::isBypassed | ( |  | ) | const

inline noexcept

Returns if the node is bypassed or not.

References juce::approximatelyEqual().

## setBypassed()

void juce::AudioProcessorGraph::Node::setBypassed | ( | bool | shouldBeBypassed | ) |

inline noexcept

Tell this node to bypass processing.

## userRequestedBypass()

bool juce::AudioProcessorGraph::Node::userRequestedBypass | ( |  | ) | const

inline

## Member Data Documentation

## nodeID

const NodeID juce::AudioProcessorGraph::Node::nodeID

The ID number assigned to this node.

This is assigned by the graph that owns it, and can't be changed.

Referenced by Node().

## properties

NamedValueSet juce::AudioProcessorGraph::Node::properties

A set of user-definable properties that are associated with this node.

This can be used to attach values to the node for whatever purpose seems useful. For example, you might store an x and y position if your application is displaying the nodes on-screen.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited